#!/bin/bash

# geometry of the impact disruption
F=90
OMEGA=15

v_R_koef=1.0
v_T_koef=1.0
v_W_koef=1.0

export F OMEGA

cd propagate_to_given_f_omega
./makein.sh
cd ..

cp propagate_to_given_f_omega/dump_pl.dat pl.in
cp propagate_to_given_f_omega/dump_tp.dat tp.tmp

# velocity vs size
#awk '!/^#/ && (NF>0) && ($1!="?")' 832_Karin_family.list_008_WO_INTERLOPERS | sort -g | head -100 > makein.tmp
awk '!/^#/ && (NF>0){ i++; }(i%1==0)' 369_Aeria_family.list_055_WO_INTERLOPERS_MTYPE > makein.tmp

./D.py < makein.tmp > D.dat
awk '{ printf("%12.6f\n", $1/2.); }' < D.dat > R.dat
./genveld < genveld.in > genveld.out
./genvel3.awk $v_R_koef $v_T_koef $v_W_koef genveld.out tp.tmp > tp.in

xvpl2el < pl.in > pl.elmts
xvtp2el < tp.in > tp.elmts

awk '!/^#/{ print $5; }' genveld.out > genveld.out_v
echo -e "100\n0 500\ngenveld.out_v" > hist.in
hist5 < hist.in > genveld.out_vhist

# thermal and spin parameters
./yarko.awk R.dat tp.in

# some plots to check
./genveld1.plt
./genveld2.plt
./tp.plt


